注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

自由自在

 
 
 

日志

 
 

自行编译安装的vim72启动时崩溃的解决办法  

2011-06-04 14:43:30|  分类: linux |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
  在ubuntu10.04上自行下载源代码编译安装vim72后,启动时崩溃,报“已放弃”或“Vim: Caught deadly signal ABRT”错误,google了下,有人说是gcc 4.4的问题,要改用gcc 4.1,ubuntu10.04默认自带的gcc就是4.4.3版本,要找个gcc4.1还得降低系统默认的版本,此法太麻烦。
  另一个办法是在编译vim时加上编译选项 CFLAGS="-O2 -D_FORTIFY_SOURCE=1",即编译时执行:make CFLAGS="-O2 -D_FORTIFY_SOURCE=1",再make install。立即照此法行之,问题解决,vim正常启动。但另外看到有人说用CFLAGS="-O2 -D_FORTIFY_SOURCE=1"还是解决不了问题,改用:CFLAGS="-O3 -D_FORTIFY_SOURCE=1"  后问题才能解决。
  评论这张
 
阅读(353)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2018